[![Build Status](https://travis-ci.org/iteam-consulting/iteam-cli-iron.svg?branch=master)](https://travis-ci.org/iteam-consulting/iteam-cli-iron)
[![codecov](https://codecov.io/gh/iteam-consulting/iteam-cli-iron/branch/master/graph/badge.svg)](https://codecov.io/gh/iteam-consulting/iteam-cli-iron)

# iTEAM Consulting CLI: Iron
Iron is used to scaffold, build, test, run and deploy iTEAM Consulting frontend web projects.

## Getting Started
Iron is packaged by NPM.  Please ensure you have installed Node v7.2.x and npm v5.4.x installed before continuing.
### Installation
```
npm install iteam-cli-iron -g
```
### Usage
Once installed, you will have access to the ```iron``` tool from your command line.
#### Create a project
```
iron new <project>
```
This creates a new folder in your current directory, and initializes the Iron project with default settings. Once the initialization is complete, use ```cd <project>``` to enter the project directory.
#### Project Structure
```
<project name>
├── ■ build
├── ■ config
│   └── webpack.config.js
├── ■ src
│   ├── ■ components
│   ├── ■ containers
│   ├── ■ middleware
│   ├── ■ models
│   ├── ■ reducers
│   ├── ■ routes
│   └── index.js
├── ■ test
├── .gitignore
└── package.json
```
#### Building the project
To build the project, execute the following command from the project directory
`iron build`.
#### Running the project
To run the project, execute the following command from the project directory
`iron start`.

## Contributing
Iron is an open source project managed by iTEAM Consulting. We would love to see your ideas! Please review our [contributing guide](https://github.com/iteam-consulting/iteam-cli-iron/blob/master/CONTRIBUTING.md) and submit a PR!
